# $Revision: 1.37 $, $Date: 2007-11-24 10:22:13 $
%define		_beta	beta15
%define		_rel	2
Summary:	HDD temperature sensor
Summary(pl.UTF-8):	Czujka temperatury dysku twardego
Name:		hddtemp
Version:	0.3
Release:	0.%{_beta}.%{_rel}
License:	GPL v2
Group:		Applications/System
Source0:	http://www.guzu.net/files/%{name}-%{version}-%{_beta}.tar.bz2
# Source0-md5:	8b829339e1ae9df701684ec239021bb8
# from http://www.guzu.net/linux/hddtemp.db
Source1:	%{name}.db
Source2:	%{name}d.init
Source3:	%{name}d.sysconfig
Source4:	%{name}-pl.po
URL:		http://www.guzu.net/linux/hddtemp.php
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
hddtemp is tool that gives you the temperature of your IDE hard drive
by reading S.M.A.R.T. informations. Only modern hard drives have a
temperature sensor. hddtemp doesn't support reading S.M.A.R.T.
informations from SCSI devices.

%description -l pl.UTF-8
hddtemp jest narzędziem sprawdzającym temperaturę dysku twardego IDE
korzystając z technologii S.M.A.R.T. Tylko nowoczesne dyski twarde
posiadają czujnik temperatury. hddtemp nie potrafi odczytać informacji
S.M.A.R.T. z urządzeń SCSI.

%package hddtempd
Summary:	hddtemp daemon
Summary(pl.UTF-8):	Demon hddtemp
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description hddtempd
hddtemp in daemon mode.

%description hddtempd
hddtemp w trybie demona.

%prep
%setup -q -n %{name}-%{version}-%{_beta}

cp %{SOURCE4} po/pl.po
echo 'pl' >> po/LINGUAS
rm -f po/stamp-po

%build
cp -f /usr/share/automake/config.* .
%configure \
	--with-db-path=%{_datadir}/misc/hddtemp.db
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_datadir}/misc/} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/misc/hddtemp.db

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/hddtempd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/hddtempd

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post hddtempd
/sbin/chkconfig --add hddtempd
if [ "$1" = 1 ]; then
	echo "You have to configure hddtempd in /etc/sysconfig/hddtempd."
fi
%service hddtempd restart "hddtempd daemon"

%preun hddtempd
if [ "$1" = "0" ]; then
	%service hddtempd stop
	/sbin/chkconfig --del hddtempd
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*
%{_datadir}/misc/*

%files hddtempd
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/hddtempd
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/hddtempd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hddtemp.spec,v $
Revision 1.37  2007-11-24 10:22:13  dzeus
- updated hddtemp.db

Revision 1.36  2007-02-13 07:16:48  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.34  2006/10/14 08:16:23  qboosh
- added pl.po

Revision 1.33  2006/10/13 18:09:07  dzeus
- up to beta15, up hddtemp.db

Revision 1.32  2006/05/21 16:24:53  glen
- Source1 is in CVS, rel 3

Revision 1.31  2006/05/21 15:58:18  glen
- rel 2

Revision 1.30  2006/02/27 23:35:08  glen
- use %service

Revision 1.29  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.28  2005/11/07 20:03:04  blekot
- updated database

Revision 1.27  2005/10/12 18:35:59  pluto
- updated to 0.3-beta14, init script fixed.

Revision 1.26  2005/04/07 20:35:27  paszczus
- updated to 0.3beta13
- STBR

Revision 1.25  2004/11/07 20:27:17  adamg
- separate hddtemp daemon (from Piotr Czapski <petec (at) petec.one.pl>)

Revision 1.24  2004/11/05 10:39:51  qboosh
- hddtemp.db is text file and belongs to CVS
- reverted install/clean breakage

Revision 1.23  2004/11/05 10:31:03  snurf
- fixed md5

Revision 1.22  2004/11/05 10:25:49  snurf
- closing bug #5522
- up to 0.3-beta12
- STBR for Ac

Revision 1.21  2004/08/22 18:12:55  qboosh
- refresh config.sub, release .2

Revision 1.20  2004/07/09 08:57:09  blues
- cosmetics and TODO

Revision 1.19  2003/11/04 23:44:27  hunter
- don't touch devices, let admin do his job

Revision 1.18  2003/11/02 16:04:35  hunter
- corrected hddtemp.db location

Revision 1.17  2003/10/28 15:26:22  qboosh
- CC/CFLAGS/LDFLAGS are correctly set by configure - no need to override

Revision 1.16  2003/10/28 15:19:40  deejay1
- ARCH is set by %configure

Revision 1.15  2003/10/27 15:59:23  qboosh
- hddtemp.db back to CVS (plain text file); cosmetics

Revision 1.14  2003/10/27 15:45:03  deejay1
- md5

Revision 1.13  2003/10/27 15:25:26  deejay1
- updated to beta8
- BR: gettext-devel

Revision 1.12  2003/06/14 09:08:56  wolf
- added documentation

Revision 1.11  2003/06/14 09:07:28  wolf
- fixed

Revision 1.10  2003/06/14 08:57:55  areq
- 0.3beta6
- update URL

Revision 1.9  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 05:48:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/07/18 01:45:49  kloczek
- release 2.

Revision 1.6  2002/07/17 11:35:31  wolf
- if u16 is defined at all times..

Revision 1.5  2002/07/17 06:23:44  marcus
- fixed building on ppc

Revision 1.4  2002/07/16 19:01:38  wolf
- moved data from /usr/share to /usr/share/misc

Revision 1.3  2002/07/16 15:37:04  wolf
- SMART is supported in SCSI

Revision 1.2  2002/07/16 14:10:30  wolf
- URL

Revision 1.1  2002/07/16 14:07:13  wolf
- initial release
